Description

matrix.ungleich.ch is so slow it becomes unusable, I'm currently investigating and:

* Disabling Presence
¢ Increase cache sizes
e Configure Synapse with multiple workers

Related issues:
Blocks Open Infrastructure - Task #8888: Meta-Issue for Matrix late-winter 20... Closed 02/11/2021

History

#1 - 02/05/2021 08:32 AM - Timothée Floure

- Status changed from New to In Progress

#2 - 02/05/2021 02:35 PM - Timothée Floure

| spend most of my morning playing around with this synapse issues. | moved some processing out of the main process and increased a bit the cache
but there's still high latency on registering new events: in-depth investigation including a deeper look at what's going with synapse's internals and
potential slowness with PGSQL are required.

I'd also like to:

e Revamp the whole monitoring pipeline which is utterly broken right now: autodiscovery with consul and a monitoring LAN sounds nice in theory,
but implies too many flying components in practice. | want to drop it in favor of good old cdist-managed static configuration files. We also need
some alerts (= instead of ranting customers..).

e Clean up the synapse type (written in my early cdist days ~ 1 year ago...) and merge it into cdist-contrib.

Add the multi-worker setup to cdist. It doesn't matter if we add more core with a single synapse process...

¢ Make our internal cdist manifest more concise, it's somewhat messy right now.

This means a few work-days. Your thoughts @Nico Schottelius?

#3 - 02/05/2021 02:35 PM - Timothée Floure

Note: | commented out the cdist config for our matrix HS, since the changes | applied this morning were all done by hand.

#4 - 02/05/2021 02:37 PM - Timothée Floure

+ write/deploy and run some DB cleanup tools, since it's growing exponentially...

#5 - 02/15/2021 07:00 PM - Timothée Floure
- Blocks Task #8888: Meta-Issue for Matrix late-winter 2021 cleanup added

#6 - 11/11/2021 09:32 PM - Nico Schottelius

- Status changed from In Progress to Closed
